Jump to content
adam5532

QBI Quickbooks Import

Recommended Posts

Hi Paul,

 

The docs very clearly state that QBI works only with US versions of Quickbooks. It can not handle multiple tax rates. Multiple tax rates are planned for QBI 4.

 

Thanks,

Adam

 

Hi

I have the Quickbooks QBI Import installed and I have a Tax problem. The cart has two different tax levels. One at 17.5% and one at 5%. When we do a test order of an item at 17.5% the IIF goes into quickbooks fine. The same works if we make an order for a 5% tax item. The problem is when we make an order for multiple items at different rates Quickbooks won't accept the import.

 

I have looked into the settings under configure and I have the following:

 

Taxes turned on: This is ticked on.

Tax name: This field is empty.

Tax Agency: This field is empty.

Tax Rate: This field has a zero in it.

 

I have had a look through this forum but apologies if this is a common problem that I am repeating.

 

Cheers, Paul

Share this post


Link to post
Share on other sites

I am having a problem getting this to work. I followed the instructions and everything seems to be ok, but the only page that shows is the config page. i.e. when i click on setup, match, or anything else it goes right back to the config page and says this:

 

Database has just been updated. Please check and update the configuration.

To continue, you must click "Submit" even if you made no changes.

 

The url is also: qbi_config.php?msg=1

 

I found someone talking about msg=1 and followed that, but that didnt seem to work. Any ideas?

 

Thanks,

-Mike

Share this post


Link to post
Share on other sites
Hi Paul,

 

The docs very clearly state that QBI works only with US versions of Quickbooks. It can not handle multiple tax rates. Multiple tax rates are planned for QBI 4.

 

Thanks,

Adam

Hi Adam

Thanks for the info. Even though you state that it only works with the US version other than the multiple tax issue we are happy with it working on the UK 2008 version of Quickbooks.

 

Thanks, Paul

Share this post


Link to post
Share on other sites
I am having a problem getting this to work. I followed the instructions and everything seems to be ok, but the only page that shows is the config page. i.e. when i click on setup, match, or anything else it goes right back to the config page and says this:

 

Database has just been updated. Please check and update the configuration.

To continue, you must click "Submit" even if you made no changes.

 

The url is also: qbi_config.php?msg=1

 

I found someone talking about msg=1 and followed that, but that didnt seem to work. Any ideas?

 

Thanks,

-Mike

Mike,

 

Check that the qbi_ tables are installed, and in the table qbi_config set the field qbi_active to 1.

 

Thanks,

Adam

Share this post


Link to post
Share on other sites

Adam,

 

Hello, you assisted me in December of last year set up the QBI 3.60 for two websites (www.chievolution.com & www.thesaltoftheearth.com). We paid for the registration fee and the set up fee. However, as you might recall we didn't use the software because we were not able to download as Sales Orders. As a result, we have never used the software.

 

We would like to still use the contribution on a different site. I would really appreciate your assistance if you could provide me a link or inform me where I would go to download and/or register the contribution.

 

Kindest Regards,

Dan

Share this post


Link to post
Share on other sites
Adam,

 

Hello, you assisted me in December of last year set up the QBI 3.60 for two websites (www.chievolution.com & www.thesaltoftheearth.com). We paid for the registration fee and the set up fee. However, as you might recall we didn't use the software because we were not able to download as Sales Orders. As a result, we have never used the software.

 

We would like to still use the contribution on a different site. I would really appreciate your assistance if you could provide me a link or inform me where I would go to download and/or register the contribution.

 

Kindest Regards,

Dan

Questions about the paid versions of QBI should be directed towards to the forum or support center at www.qbisoftware.com

 

Thanks,

Adam

Share this post


Link to post
Share on other sites

Hi. I installed the QBI 2.10c on my test shop...it's my first install of this contribution. When I get to the part of the install where you go into admin and choose "import quickbooks qbi", I get:

 

Warning: require_once(includes/functions/qbi_functions.php) [function.require-once]: failed to open stream: No such file or directory in /home/mysite/public_html/ktest/admin/includes/qbi_page_top.php on line 31

 

Fatal error: require_once() [function.require]: Failed opening required 'includes/functions/qbi_functions.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/mysite/public_html/ktest/admin/includes/qbi_page_top.php on line 31

 

any ideas?

(i'm 0-3 on different contributions today :angry: , one of those days )

Share this post


Link to post
Share on other sites

ooops....sorry to double post, but i forgot to upload the functions and classes files....sorry! :blush:

Share this post


Link to post
Share on other sites

We recently updated the Linkpoint_api. It changed the name in the database payment in the Orders in the column payment_method from Linkpoint API to Secure Credit Card Transaction. Now we can't get QB to match up. So, in OSC I can see "Secure Credit Card Transaction" in the Payments Module, but I can't get QBI to see this new/updated Payment Method. I have gone into Match:Payment, but no luck.

 

Any help would appreciated.

Share this post


Link to post
Share on other sites

I'm very new to all of this.

 

I don't seem to have an orders table so the script is failing. I see this error:

 

SQL query:

 

#

# Alter existing tables

#

ALTER TABLE `orders` ADD `qbi_imported` TINYINT( 2 ) UNSIGNED DEFAULT '2' NOT NULL

 

MySQL said: Documentation

#1146 - Table 'orders' doesn't exist

 

I see the test orders in the admin console but I don't see the table in the database...what can I do

 

Thanks Rebecca

Edited by lhboutique

Share this post


Link to post
Share on other sites
I'm very new to all of this.

 

I don't seem to have an orders table so the script is failing. I see this error:

 

SQL query:

 

#

# Alter existing tables

#

ALTER TABLE `orders` ADD `qbi_imported` TINYINT( 2 ) UNSIGNED DEFAULT '2' NOT NULL

 

MySQL said: Documentation

#1146 - Table 'orders' doesn't exist

 

I see the test orders in the admin console but I don't see the table in the database...what can I do

 

Thanks Rebecca

 

I figured it out...thanks anyway

Share this post


Link to post
Share on other sites

I installed 2.10b as suggested and have found syntax errors in the matching pages

 

From qbi_shipmatch.php

Warning: Division by zero in /home/rosegard/public_html/maint/includes/classes/qbi_classes.php on line 103

Warning: Division by zero in /home/rosegard/public_html/maint/includes/classes/qbi_classes.php on line 103
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1

SELECT * FROM qbi_shiposc WHERE language_id='1' ORDER BY qbi_shiposc_car_text, qbi_shiposc_serv_text LIMIT 0,

 

Same in Products and Payments. Does anyone know the correct syntax?

Share this post


Link to post
Share on other sites
I installed 2.10b as suggested and have found syntax errors in the matching pages

 

From qbi_shipmatch.php

Warning: Division by zero in /home/rosegard/public_html/maint/includes/classes/qbi_classes.php on line 103

Warning: Division by zero in /home/rosegard/public_html/maint/includes/classes/qbi_classes.php on line 103
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1

SELECT * FROM qbi_shiposc WHERE language_id='1' ORDER BY qbi_shiposc_car_text, qbi_shiposc_serv_text LIMIT 0,

 

Same in Products and Payments. Does anyone know the correct syntax?

Make sure you have something set on the QBI configure page for "Product rows displayed:". The default is 5.

 

Thanks,

Adam

Share this post


Link to post
Share on other sites

I see what is going on. When I enter info, nothing is being updated. I attempt to change the config, or import the iif file and nothing updates. What am I missing?

Share this post


Link to post
Share on other sites
I see what is going on. When I enter info, nothing is being updated. I attempt to change the config, or import the iif file and nothing updates. What am I missing?

Not sure why that is happening. QBI 2.1 is very old -- I give full support for the current paid 3.74 version. Look at your server error logs for PHP errors -- that might give a clue.

 

Thanks,

Adam

Edited by adam5532

Share this post


Link to post
Share on other sites
Mike,

 

Check that the qbi_ tables are installed, and in the table qbi_config set the field qbi_active to 1.

 

Thanks,

Adam

 

I was experiencing the same issue and manually installed the qbi_ tables and set qbi_active to 1...

 

However, now when I go into the configuration section and attempt to click on an of the tabs "Create iif / Set Up / Match / Configure / About" it doesn't go anywhere except back to the 'Configure' tab...

 

Anyone have any similar issues or know what might be my problem?

Share this post


Link to post
Share on other sites
I was experiencing the same issue and manually installed the qbi_ tables and set qbi_active to 1...

 

However, now when I go into the configuration section and attempt to click on an of the tabs "Create iif / Set Up / Match / Configure / About" it doesn't go anywhere except back to the 'Configure' tab...

 

Anyone have any similar issues or know what might be my problem?

Open QBI, then go to your server logs and tell me if you have any PHP errors that might give us a clue. As I've said earlier, 2.10 is very old and not tested with the latest osC versions. 3.74 is the current version and is no longer a free product.

 

Thanks,

Adam

Share this post


Link to post
Share on other sites
Open QBI, then go to your server logs and tell me if you have any PHP errors that might give us a clue. As I've said earlier, 2.10 is very old and not tested with the latest osC versions. 3.74 is the current version and is no longer a free product.

 

Thanks,

Adam

 

There are no PHP errors in the logs

 

I undestand I'm using an old version, but I'm testing and weighing my options for creating an online store - unfortuntely, there is no source of income right now, so I can't justify spending the money on a product that I may not use (I'm including osC in that statement) - do you offer a trial of the current version? That would be very helpful in determing what I'd like to do, I'd really like to see how this is going to work for me before I make the investment... Just a suggestion for consideration if it's not something you currently offer.

Share this post


Link to post
Share on other sites
There are no PHP errors in the logs

 

I undestand I'm using an old version, but I'm testing and weighing my options for creating an online store - unfortuntely, there is no source of income right now, so I can't justify spending the money on a product that I may not use (I'm including osC in that statement) - do you offer a trial of the current version? That would be very helpful in determing what I'd like to do, I'd really like to see how this is going to work for me before I make the investment... Just a suggestion for consideration if it's not something you currently offer.

I don't offer a trial at this time - mainly because of the time and expense of supporting people who are trying it out. QBI is super easy to use, but it needs to be set up properly first.

 

I may offer a free (reduced feature) version of 4.0 when it comes out (no eta yet). I'd rather spend time working on the current version than try to figure out why 2.10 isn't working on occasion. The code is old and it has been totally rewritten since then.

 

QBI will always go to the configuration page if qbi_acitve isn't set to 1. Double check that you have set it, and that you don't have multiple admin directories or databases. If you go to the configuration page and just click the submit button at the bottom, it should set qbi_active to 1 and then allow you to go to other pages.

 

Thanks,

Adam

Share this post


Link to post
Share on other sites

Hi Adam:

 

We've just installed this great contribution, and it seems like it is what we're looking for.

 

But we have 2 problems after installation:

 

1.) We only want to export shipped orders from OSC, all other statuses will be exported once they are shipped. We set the "Import orders with status:" to "Shipped", but we still got all the orders exported, anything we did wrong?

 

2.) We also have giftwrap as one of the component of the order total, but it won't got exported and stops with error (something out of balance) when we try to import into QB.

 

Thanks

 

Dan

Share this post


Link to post
Share on other sites

Hi,

 

Hi Adam:

 

We've just installed this great contribution, and it seems like it is what we're looking for.

 

But we have 2 problems after installation:

 

1.) We only want to export shipped orders from OSC, all other statuses will be exported once they are shipped. We set the "Import orders with status:" to "Shipped", but we still got all the orders exported, anything we did wrong?

Don't know. It doesn't sound like you did anything wrong. As I've told other people, QBI 2.10 is very old and support officially ended over 1 year ago. QBI 3.75 is the latest but is not a free product.

2.) We also have giftwrap as one of the component of the order total, but it won't got exported and stops with error (something out of balance) when we try to import into QB.

See if it appear on the Discounts:Match page to be matched.

 

- Adam

Share this post


Link to post
Share on other sites

Hi, Just a question, Can you use 2.10 with the UK version of quickbooks 2008 which I'm told is similar to the canadian version?

 

Is there anything that works with the UK version of quickbooks? I Just need exporting order and customer data functionality into quickbooksuk something like the below IIF file:

 

!CUST	NAME	REFNUM	ADDR1	ADDR2	ADDR3	ADDR4	ADDR5																											
CUST	Patrick Customer		Patrick Customer	my street	mytown	Devon	ox12 3gn																											
!VEND	NAME	REFNUM	PRINTAS	ADDR1	ADDR2	ADDR3	ADDR4	ADDR5	VTYPE																									
VEND	my supplier			my supplier	33 anywhere	Exeter	Devon																											
!TRNS	TRNSID	TRNSTYPE	DATE	ACCNT	NAME	CLASS	AMOUNT	DOCNUM	MEMO	CLEAR	TOPRINT	NAMEISTAXABLE	ADDR1	ADDR2	ADDR3	ADDR4	ADDR5	DUEDATE	TERMS	PAID	PAYMETH	SHIPVIA	SHIPDATE	OTHER1	REP	FOB	PONUM	INVTITLE	INVMEMO	SADDR1	SADDR2	SADDR3	SADDR4	SADDR5
!SPL	SPLID	TRNSTYPE	DATE	ACCNT	NAME	CLASS	AMOUNT	DOCNUM	MEMO	CLEAR	QNTY	PRICE	INVITEM	PAYMETH	TAXABLE	VALADJ	REIMBEXP	SERVICEDATE	OTHER2	OTHER3	PAYITEM	YEARTODATE	WAGEBASE	EXTRA										
!ENDTRNS																																		
TRNS	5	PURCHORD	12/15/2000	Purchase Orders	my supplier	class	-557.5	82	xyz widget	N	Y	N	Patrick Customer	my street	mytown	Devon		20/10/2008		Y			20/10/2008							Joe Customer	444 Road Rd	"Anywhere, AZ 85740"	USA	
SPL	6	PURCHORD	12/15/2001	Inventory Asset	Patrick Customer	class	550			N	10	55	Dimplex		N	N	NOTHING					0	0											
SPL	7	PURCHORD	12/15/2002	Inventory Asset	Patrick Customer	class	7.5			N	1	7.5	Carriage		N	N	NOTHING					0	0											
ENDTRNS

Share this post


Link to post
Share on other sites

Is there any issues with this contribution using Oscommerce 2.2 RC2a?

 

I have just uploaded everything and when I go to the QBI in the admin panel I get the following message:

 

Database table upgrades successfull. Now you must got to the configuration page.

1) Recheck your configuration options and configure new options.

2) Click "Update" at the bottom of the page.

Note: You must click update to finish the upgrade, even if you did not change any settings!

 

Now you must go to the configuration page.

 

There is no update button visible. The words "Now you must go to the configuration page" is a link to qbi_config.php. When I click it nothing happens.

 

Any ideas?

Share this post


Link to post
Share on other sites
Is there any issues with this contribution using Oscommerce 2.2 RC2a?

 

I have just uploaded everything and when I go to the QBI in the admin panel I get the following message:

 

Database table upgrades successfull. Now you must got to the configuration page.

1) Recheck your configuration options and configure new options.

2) Click "Update" at the bottom of the page.

Note: You must click update to finish the upgrade, even if you did not change any settings!

 

Now you must go to the configuration page.

 

There is no update button visible. The words "Now you must go to the configuration page" is a link to qbi_config.php. When I click it nothing happens.

 

Any ideas?

 

Ha, I just loaded the same contribution and get the exact same thing. Any help on this?


Live life authentically.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×